Loading...
Searching...
No Matches
streams_to_stream.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_STREAMS_TO_STREAM_H
#define INCLUDED_BLOCKS_STREAMS_TO_STREAM_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_interpolator.h>
namespace gr {
namespace blocks {
/*!
* \brief Convert N streams of 1 item into a 1 stream of N items
* \ingroup stream_operators_blk
*
* \details
* Convert N streams of 1 item into 1 stream of N items.
* Repeat ad infinitum.
*/
class BLOCKS_API streams_to_stream : virtual public sync_interpolator
{
public:
// gr::blocks::streams_to_stream::sptr
typedef std::shared_ptr<streams_to_stream> sptr;
/*!
* Make a streams-to-stream block.
*
* \param itemsize the item size of the stream
* \param nstreams number of streams to combine
*/
static sptr make(size_t itemsize, size_t nstreams);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_STREAMS_TO_STREAM_H */
gr::blocks::streams_to_stream
Convert N streams of 1 item into a 1 stream of N items.
Definition streams_to_stream.h:29
gr::blocks::streams_to_stream::sptr
std::shared_ptr< streams_to_stream > sptr
Definition streams_to_stream.h:32
gr::blocks::streams_to_stream::make
static sptr make(size_t itemsize, size_t nstreams)
gr::sync_interpolator::sync_interpolator
sync_interpolator(void)
Definition sync_interpolator.h:31
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_interpolator.h